Name:           perl-Authen-SASL
Version:        2.16
Release:        16
Summary:        Perl's SASL authentication framework
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Authen-SASL
Source0:        https://cpan.metacpan.org/authors/id/G/GB/GBARR/Authen-SASL-%{version}.tar.gz
Patch0001:      Authen-SASL-RT85294-Fix-WRITE.patch
BuildArch:      noarch

BuildRequires:  coreutils findutils make perl-interpreter perl-generators perl(inc::Module::Install)
BuildRequires:  perl(Module::Install::Makefile) perl(Module::Install::Metadata) perl(Module::Install::WriteAll)
BuildRequires:  perl(strict) perl(warnings) sed perl(bytes) perl(Carp) perl(Digest::HMAC_MD5) perl(Digest::MD5)
BuildRequires:  perl(GSSAPI) perl(Tie::Handle) perl(vars) perl(FindBin) perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Authen::SASL::Perl is the pure Perl implementation of SASL mechanisms in the Authen::SASL framework,
At the time of this writing it provides the client part implementation for the following SASL mechanisms.

%package help
Summary:        Documentation for perl-Authen-SASL

%description help
Documentation for perl-Authen-SASL.

%prep
%autosetup -n Authen-SASL-%{version} -p1

rm -r inc
sed -i -e '/^inc\// d' MANIFEST
chmod -c a-x example_pl

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{__chmod} -Rf a+rX,u+w,g-w,o-w %{buildroot}

%check
make test

%files
%{perl_vendorlib}/*

%files help
%doc api.txt Changes example_pl
%{_mandir}/man3/*

%changelog
* Tue Nov 26 2019 fengbing <fengbing7@huawei.com> - 2.16-16
- Package init
